## bangarang 1.0.1

=== CMakeLists.txt ===
PROJECT(Bangarang)

set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
set( WITHTRANSLATIONS:BOOL YES )
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Nepomuk REQUIRED)
FIND_PACKAGE(KdeMultimedia REQUIRED)

INCLUDE(KDE4Defaults)

ADD_DEFINITIONS( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )

find_package(Taglib REQUIRED)

INCLUDE_DIRECTORIES( 
    ${KDE4_INCLUDES} 
    ${KDEMULTIMEDIA_INCLUDE_DIR} 
    ${NEPOMUK_INCLUDE_DIR} 
    ${TAGLIB_INCLUDES} 
    ${TAGLIB_INCLUDES}/.. 
    /usr/include/taglib 
)

add_subdirectory( icons )
add_subdirectory( src )

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( translations )

########### install files ###############

install(FILES data/bangarang.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES data/bangarang_play_dvd.desktop data/bangarang_play_cd.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
#install(FILES <bangarangDataFilesHere> DESTINATION ${DATA_INSTALL_DIR}/bangarang)
#install(FILES bangarangrc DESTINATION ${CONFIG_INSTALL_DIR})

=== src/CMakeLists.txt ===
PROJECT(Bangarang)

set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Nepomuk REQUIRED)
FIND_PACKAGE(KdeMultimedia REQUIRED)

INCLUDE(KDE4Defaults)

ADD_DEFINITIONS( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )

add_subdirectory( platform/nepomukwriter )

INCLUDE_DIRECTORIES( 
    ${KDE4_INCLUDES} 
    ${KDEMULTIMEDIA_INCLUDE_DIR} 
    ${NEPOMUK_INCLUDE_DIR} 
    ${TAGLIB_INCLUDES} 
    ${TAGLIB_INCLUDES}/.. 
    /usr/include/taglib 
)

SET(BangarangSources 
    mainwindow.cpp 
    main.cpp 
    sensiblewidgets.cpp 
    mediaitemdelegate.cpp 
    nowplayingdelegate.cpp 
    mediaview.cpp 
    infomanager.cpp 
    savedlistsmanager.cpp 
    actionsmanager.cpp
    videosettings.cpp
    platform/mediaitemmodel.cpp
    platform/musiclistengine.cpp
    platform/videolistengine.cpp
    platform/filelistengine.cpp
    platform/cdlistengine.cpp
    platform/dvdlistengine.cpp
    platform/medialistsengine.cpp
    platform/audiostreamlistengine.cpp
    platform/nepomuklistengine.cpp
    platform/semanticslistengine.cpp
    platform/playlist.cpp
    platform/utilities.cpp
    platform/listengine.cpp
    platform/savedlistsengine.cpp
    platform/listenginefactory.cpp
    platform/mediaindexer.cpp
    platform/mediavocabulary.cpp
    platform/mediaquery.cpp
    platform/medialistcache.cpp
    platform/cachelistengine.cpp
    platform/audioclipslistengine.cpp
)

KDE4_ADD_UI_FILES(BangarangSources mainwindow.ui)

KDE4_ADD_EXECUTABLE(bangarang ${BangarangSources})

kde4_add_app_icon(BangarangSources "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*.png")

TARGET_LINK_LIBRARIES(bangarang 
    ${KDE4_KDEUI_LIBS} 
    ${KDE4_KPARTS_LIBS} 
    ${KDE4_PHONON_LIBS} 
    ${NEPOMUK_LIBRARIES} 
    ${KDEMULTIMEDIA_LIBRARIES} 
    ${SOPRANO_LIBRARIES} 
    ${TAGLIB_LIBRARIES} 
    tag 
)

########### install files ###############

install(TARGETS bangarang ${INSTALL_TARGETS_DEFAULT_ARGS})
#install(FILES <bangarangDataFilesHere> DESTINATION ${DATA_INSTALL_DIR}/bangarang)
#install(FILES bangarangrc DESTINATION ${CONFIG_INSTALL_DIR})
kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== translations/CMakeLists.txt ===
add_subdirectory( cz )
add_subdirectory( de )
add_subdirectory( fr )
add_subdirectory( it )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt_BR )
add_subdirectory( zh_CN )

=== translations/cz/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( cz ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/platform/nepomukwriter/CMakeLists.txt ===
PROJECT(Bangarang)

set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Nepomuk REQUIRED)

INCLUDE(KDE4Defaults)

ADD_DEFINITIONS( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )

INCLUDE_DIRECTORIES( 
    ${KDE4_INCLUDES} 
    ${KDEMULTIMEDIA_INCLUDE_DIR} 
    ${NEPOMUK_INCLUDE_DIR} 
)

SET(BangarangNepomukWriterSources 
    main.cpp 
#    ../mediaitemmodel.cpp
    ../mediavocabulary.cpp
)

KDE4_ADD_EXECUTABLE(bangarangnepomukwriter ${BangarangNepomukWriterSources})

TARGET_LINK_LIBRARIES(bangarangnepomukwriter 
    ${NEPOMUK_LIBRARIES} 
    ${KDEMULTIMEDIA_LIBRARIES} 
    ${SOPRANO_LIBRARIES} 
)

########### install files ###############

install(TARGETS bangarangnepomukwriter ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
bangarang (1.0.1-1) unstable; urgency=low

  * New upstream release 

  [ Andreas Marschke ]
  * dropped patches 01_MediaItem.diff 02_bangarang-doublequalify.diff

  [ Ryan Kavanagh ]
  * Fixed typo in bug number in changelog for 1.0-1
  * Added new copyright holders to debian/copyright and updated years where
    required
  * Bumped standards version to 3.8.4
  * Dropped quilt build-dep
  * Dropped quilt references in debian/rules
  * Switched to dpkg-source 3.0 (quilt) format

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 13 Feb 2010 19:12:36 -0500

bangarang (1.0-1) unstable; urgency=low

  * New upstream release

  [ Ryan Kavanagh ]
  * Jani no longer has copyrighted files in bangarang (blur.cpp was removed),
    removed him from the copyright file.
  * Updated copyright with new copyright holders
  * Updated copyright holder's years
  * Added a manpage for the bangarangnepomukwriter executable
  * Changed section to Applications/Video, see bug #559895 for the history.
    (Closes: #564220)
  * Added a watch file
  * Added the Vcs-* entries to debian/control
  * Added quilt as a B-D
  * Enabled quilt in the rules
  * Added a README.source now that we're using quilt
  * Added shared-desktop-ontologies as a B-D
  * Imported upstream patch 01_MediaItem.diff to fix FTBFS with gcc-4.4
  * Imported 02_bangarang-doublequalify.diff by Pino Toscano, fixes a FTBFS
    with gcc-4.5.  (Closes: #564965)
  * Moved from the DMPM repository to the pkg-kde-extras repository. Changed
    the maintainer to Debian KDE Extras Team

  [ Andreas Marschke ]
  * Add my name and move Ryan's to the Uploaders list

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 24 Jan 2010 15:09:28 -0500

bangarang (1.0~beta2-1) unstable; urgency=low

  * Initial release (Closes: #556241)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 23 Nov 2009 22:35:33 -0500

=== debian/control ===
Source: bangarang
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ryan Kavanagh <ryanakca@kubuntu.org> , Andreas Marschke <xxtjaxx@gmail.com>
Build-Depends: debhelper (>= 7.3),
 pkg-kde-tools (>= 0.5.0),
 cmake,
 kdemultimedia-dev,
 shared-desktop-ontologies,
 libtag1-dev
Standards-Version: 3.8.4
Homepage: http://gitorious.org/bangarang
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bangarang.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bangarang.git

Package: bangarang
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Multimedia player with a lightweight interface for KDE
 Offers a media—audio and video—player with a lightweight interface. Integrates
 with the Nepomuk Social Semantic Desktop, supports command line arguments, can
 play CDs and DVDs and audio streams. It also has basic keyboard shortcuts and
 allows users to manually manage playlists.

=== debian/watch ===
version=3

http://code.google.com/p/bangarangissuetracking/downloads/list \
    http://bangarangissuetracking.googlecode.com/files/bangarang-(.*)\.tar\.gz

## bangarang 2.0

=== po/CMakeLists.txt ===
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( es )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( it )
add_subdirectory( lt )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt_BR )
add_subdirectory( uk )
add_subdirectory( zh_CN )

=== debian/changelog ===
bangarang (2.0-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #712532)
  * Dropped patch kubuntu_01_linker_fix.diff, applied upstream

 -- Tarun Kumar Mall <c2tarun@gmail.com>  Fri, 04 Feb 2011 11:17:15 +0530

bangarang (1.0.1-1ubuntu1) natty; urgency=low

  * Add kubuntu_01_linker_fix.diff to fix linking with ld's --as-needed flag

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Dec 2010 13:34:50 -0500

bangarang (1.0.1-1build1) natty; urgency=low

  * Rebuild to get rid of the dependency on the kdelibs5 transitional package

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Dec 2010 13:20:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bangarang
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Ryan Kavanagh <ryanakca@kubuntu.org> , Andreas Marschke <xxtjaxx@gmail.com>
 Build-Depends: debhelper (>= 7.3),
  pkg-kde-tools (>= 0.5.0),

## bangarang 2.0.1

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
+add_subdirectory( el )
 add_subdirectory( es )
 add_subdirectory( fi )
 add_subdirectory( fr )

=== src/CMakeLists.txt ===
add_subdirectory(platform/nepomukwriter)

set(BangarangSources
    actionsmanager.cpp
    audiosettings.cpp
    bangarangapplication.cpp
    bangarangnotifieritem.cpp
    bookmarksmanager.cpp
    dbusobjects.cpp
    mainwindow.cpp
    main.cpp
    mediaitemdelegate.cpp
    medialistsettings.cpp
    mediaview.cpp
    nowplayingdelegate.cpp
    nowplayingview.cpp
    playlistview.cpp
    infobox.cpp
    infomanager.cpp
    infoitemdelegate.cpp
    infoitemview.cpp
    ratingdelegate.cpp
    savedlistsmanager.cpp
    sensiblewidgets.cpp
    starrating.cpp
    videosettings.cpp
    platform/bangarangvideowidget.cpp
    platform/dbpediaquery.cpp
    platform/downloader.cpp
    platform/infoitemmodel.cpp
    platform/mediaitemmodel.cpp
    platform/mediaindexer.cpp
    platform/mediavocabulary.cpp
    platform/mediaquery.cpp
    platform/medialistcache.cpp
    platform/ontologyupdater.cpp
    platform/playlist.cpp
    platform/infofetchers/dbpediainfofetcher.cpp
    platform/infofetchers/feedinfofetcher.cpp
    platform/infofetchers/filenameinfofetcher.cpp
    platform/infofetchers/infofetcher.cpp
    platform/infofetchers/lastfminfofetcher.cpp
    platform/infofetchers/tmdbinfofetcher.cpp
    platform/infofetchers/tvdbinfofetcher.cpp
    platform/listengines/audioclipslistengine.cpp
    platform/listengines/audiostreamlistengine.cpp
    platform/listengines/cachelistengine.cpp
    platform/listengines/cdlistengine.cpp
    platform/listengines/dvdlistengine.cpp
    platform/listengines/feedlistengine.cpp
    platform/listengines/filelistengine.cpp
    platform/listengines/listengine.cpp
    platform/listengines/listenginefactory.cpp
    platform/listengines/medialistsengine.cpp
    platform/listengines/musiclistengine.cpp
    platform/listengines/nepomuklistengine.cpp
    platform/listengines/semanticslistengine.cpp
    platform/listengines/savedlistsengine.cpp
    platform/listengines/taglistengine.cpp
    platform/listengines/videolistengine.cpp
    platform/utilities/artwork.cpp
    platform/utilities/filetags.cpp
    platform/utilities/general.cpp
    platform/utilities/mediaitems.cpp
    platform/utilities/thread.cpp
    platform/utilities/typechecks.cpp
)

kde4_add_ui_files(BangarangSources mainwindow.ui)

kde4_add_executable(bangarang ${BangarangSources})

kde4_add_app_icon(BangarangSources "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*.png")

# Executable
target_link_libraries(bangarang
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_PHONON_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KROSSCORE_LIBS}
    ${KDE4_SOLID_LIBS}
    ${NEPOMUK_LIBRARIES}
    ${SOPRANO_LIBRARIES}
    ${TAGLIB_LIBRARIES}
    tag
)


########### install files ###############

install(TARGETS bangarang ${INSTALL_TARGETS_DEFAULT_ARGS})
# install(TARGETS  krossmodulebangarangmod DESTINATION ${PLUGIN_INSTALL_DIR}) # modules one might want to link against in c++ plugins (using dynamic libload magic)
#install(FILES <bangarangDataFilesHere> DESTINATION ${DATA_INSTALL_DIR}/bangarang) # We might need that once we can load plugins
#install(FILES bangarangrc DESTINATION ${CONFIG_INSTALL_DIR})
kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
bangarang (2.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #631603)
    + We need at least KDE 4.5.0, updated Build-Depends accordingly
    + Dropped 01_linker_fix.diff, applied upstream.
    + We no longer need to correct the cz locale code to cs
  * Updated copyright file
  * Dropped README.source from quilt days
  * Bumped Standards to 3.9.2
  * Fixed watch file
  * Fix a typo in bangarang binary, 01_psychadelic_psychedelic.diff
  * Avoid QFSFileEngine::open warnings, 02_QFSFileEngine_open.diff

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 22 Jul 2011 06:44:06 -0400

bangarang (1.0.1-2) unstable; urgency=low

  * Bump to standards version 3.9.1
  * Dropped README.source, no longer needed now that we're using 3.0 (quilt).
  * Fix FTBFS with gold or ld --no-as-needed with 01_linker_fix.diff
    (Closes: #615694)
  * Fix incorrect-locale-code cz->cs
  * Turned on DM-Upload-Allowed

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 05 Mar 2011 19:13:30 -0500

## bangarang 2.1

=== CMakeLists.txt ===
project(Bangarang)

set(WITHTRANSLATIONS YES)

find_package(KDE4 4.5.0 REQUIRED)
find_package(Nepomuk REQUIRED)

include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} "-DDISABLE_NEPOMUK_LEGACY=1")

find_package(Taglib REQUIRED)

include_directories(
    ${KDE4_INCLUDES}
    ${KROSS_INCLUDES}
    ${NEPOMUK_INCLUDE_DIR}
    ${QT_QTSCRIPT_INCLUDES}
    ${SOPRANO_INCLUDE_DIR}
    ${TAGLIB_INCLUDES}
)

add_subdirectory(icons)
add_subdirectory(src)

if (WITHTRANSLATIONS)
    find_package(Msgfmt REQUIRED)
    find_package(Gettext REQUIRED)
    add_subdirectory(po)
endif( WITHTRANSLATIONS)

########### install files ###############

install(FILES data/bangarang.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES data/bangarang_play_dvd.desktop data/bangarang_play_cd.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
#install(FILES data/genrerc DESTINATION ${DATA_INSTALL_DIR}/bangarang)
#install(FILES data/thumbnails/Rock.png DESTINATION ${DATA_INSTALL_DIR}/bangarang/thumbnails/genres)
#install(FILES bangarangrc DESTINATION ${CONFIG_INSTALL_DIR})

=== icons/CMakeLists.txt ===
PROJECT(Bangarang)

set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

FIND_PACKAGE(KDE4 REQUIRED)

INCLUDE(KDE4Defaults)

ADD_DEFINITIONS( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,13 @@
 add_subdirectory( es )
 add_subdirectory( fi )
 add_subdirectory( fr )
+add_subdirectory( hu )
 add_subdirectory( it )
 add_subdirectory( lt )
 add_subdirectory( nl )
 add_subdirectory( pl )
+add_subdirectory( pt )
 add_subdirectory( pt_BR )
+add_subdirectory( ru )
 add_subdirectory( uk )
 add_subdirectory( zh_CN )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,31 +1,38 @@
 add_subdirectory(platform/nepomukwriter)
 
 set(BangarangSources
-    actionsmanager.cpp
-    audiosettings.cpp
-    bangarangapplication.cpp
-    bangarangnotifieritem.cpp
-    bookmarksmanager.cpp
-    dbusobjects.cpp
-    mainwindow.cpp
-    main.cpp
-    mediaitemdelegate.cpp
-    medialistsettings.cpp
-    mediaview.cpp
-    nowplayingdelegate.cpp
-    nowplayingview.cpp
-    playlistview.cpp
-    infobox.cpp
-    infomanager.cpp
-    infoitemdelegate.cpp
-    infoitemview.cpp
-    ratingdelegate.cpp
-    savedlistsmanager.cpp
-    sensiblewidgets.cpp
-    starrating.cpp
-    videosettings.cpp
-    platform/bangarangvideowidget.cpp
+    app/main.cpp
+    app/common/actionsmanager.cpp
+    app/common/bangarangapplication.cpp
+    app/common/bangarangnotifieritem.cpp
+    app/common/dbusobjects.cpp
+    app/common/flickcharm.cpp
+    app/common/mainwindow.cpp
+    app/common/mediaitemdelegate.cpp
+    app/common/mediaview.cpp
+    app/common/ratingdelegate.cpp
+    app/common/sensiblewidgets.cpp
+    app/common/starrating.cpp
+    app/common/artworkpainter.cpp
+    app/medialists/audiolistsstack.cpp
+    app/medialists/medialistsettings.cpp
+    app/medialists/medialistsmanager.cpp
+    app/medialists/infobox.cpp
+    app/medialists/infomanager.cpp
+    app/medialists/infoitemdelegate.cpp
+    app/medialists/infoitemview.cpp
+    app/medialists/savedlistsmanager.cpp
+    app/medialists/videolistsstack.cpp
+    app/nowplaying/audiosettings.cpp
+    app/nowplaying/bangarangvideowidget.cpp
+    app/nowplaying/bookmarksmanager.cpp
+    app/nowplaying/nowplayingdelegate.cpp
+    app/nowplaying/nowplayingmanager.cpp
+    app/nowplaying/nowplayingview.cpp
+    app/nowplaying/playlistview.cpp
+    app/nowplaying/videosettings.cpp
     platform/dbpediaquery.cpp
+    platform/devicemanager.cpp
     platform/downloader.cpp
     platform/infoitemmodel.cpp
     platform/mediaitemmodel.cpp
@@ -36,12 +43,14 @@
     platform/ontologyupdater.cpp
     platform/playlist.cpp
     platform/infofetchers/dbpediainfofetcher.cpp
+    platform/infofetchers/doubaninfofetcher.cpp
     platform/infofetchers/feedinfofetcher.cpp
     platform/infofetchers/filenameinfofetcher.cpp
     platform/infofetchers/infofetcher.cpp
     platform/infofetchers/lastfminfofetcher.cpp
     platform/infofetchers/tmdbinfofetcher.cpp
     platform/infofetchers/tvdbinfofetcher.cpp
+    platform/listengines/ampachelistengine.cpp
     platform/listengines/audioclipslistengine.cpp
     platform/listengines/audiostreamlistengine.cpp
     platform/listengines/cachelistengine.cpp
@@ -62,11 +71,12 @@
     platform/utilities/filetags.cpp
     platform/utilities/general.cpp
     platform/utilities/mediaitems.cpp
+    platform/utilities/sha256.cpp
     platform/utilities/thread.cpp
     platform/utilities/typechecks.cpp
 )
 
-kde4_add_ui_files(BangarangSources mainwindow.ui)
+kde4_add_ui_files(BangarangSources app/ui/mainwindow.ui app/ui/audiolistsstack.ui app/ui/videolistsstack.ui)
 
 kde4_add_executable(bangarang ${BangarangSources})

=== src/platform/nepomukwriter/CMakeLists.txt ===
set(BangarangNepomukWriterSources
    main.cpp
    nepomukwriter.cpp
#    ../mediaitemmodel.cpp
    ../mediavocabulary.cpp
    ../mediaquery.cpp
)

kde4_add_executable(bangarangnepomukwriter ${BangarangNepomukWriterSources})

target_link_libraries(bangarangnepomukwriter
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${NEPOMUK_LIBRARIES}
    ${SOPRANO_LIBRARIES}
)

########### install files ###############

install(TARGETS bangarangnepomukwriter ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
bangarang (2.1-2ubuntu1) quantal; urgency=low

  * Replace build dependency: kdemultimedia-dev (doesn't exist anymore) ->
    kdelibs5-dev.

 -- Ilya Barygin <randomaction@ubuntu.com>  Tue, 25 Sep 2012 22:08:09 +0400

bangarang (2.1-2) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Bump standards to 3.9.3
  * Drop DM-Upload-Allowed: yes and update maintainer address to @debian.org
  * Update copyright file

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes
    (Closes: #667108).

 -- Ryan Kavanagh <rak@debian.org>  Sat, 28 Apr 2012 09:13:30 -0400

bangarang (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #651418)
  * Drop 01_psychadelic_psychedelic.diff, applied upstream
  * Drop 02_QFSFileEngine_open.diff, applied upstream
  * Andrew's email changed to @gmail.com, update copyright file

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 18 Dec 2011 13:34:52 -0500

=== debian/control ===
Source: bangarang
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ryan Kavanagh <rak@debian.org>,
           Andreas Marschke <xxtjaxx@gmail.com>
Build-Depends: cmake,
               debhelper (>= 7.3),
               kdelibs5-dev,
               libtag1-dev,
               pkg-kde-tools (>= 0.5.0),
               shared-desktop-ontologies
Standards-Version: 3.9.3
Homepage: http://gitorious.org/bangarang
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bangarang.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bangarang.git

Package: bangarang
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multimedia player with a lightweight interface for KDE
 Offers a media—audio and video—player with a lightweight interface. Integrates
 with the Nepomuk Social Semantic Desktop, supports command line arguments, can
 play CDs and DVDs and audio streams. It also has basic keyboard shortcuts and
 allows users to manually manage playlists.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde

=== debian/watch ===
version=3

opts=downloadurlmangle=s@^@http:@ \
http://code.google.com/p/bangarangissuetracking/downloads/list \
    //bangarangissuetracking.googlecode.com/files/bangarang-(.*)\.tar\.gz
